osl::eval::ml::LanceMobilityAll Struct Reference

`#include <mobility.h>`

## Static Public Member Functions

template<int Sign>
static void | adjust (int index, MultiInt &value)
static void | eval (const NumEffectState &, MultiInt &out)

## Detailed Description

Definition at line 131 of file mobility.h.

## Member Function Documentation

## adjust()

template<int Sign>

void osl::eval::ml::LanceMobilityAll::adjust | ( | int | index,
|  | MultiInt & | value )

inline static

Definition at line 270 of file mobility.cc.

References osl::eval::ml::LanceMobility::lance_table.

Referenced by eval().

## eval()

void osl::eval::ml::LanceMobilityAll::eval | ( | const NumEffectState & | state,
|  | MultiInt & | out )

static

Definition at line 279 of file mobility.cc.

References adjust(), osl::container::QuadInt::clear(), osl::mobility::LanceMobility::countAll(), osl::Piece::isOnBoardNotPromoted(), osl::Piece::pieceIsBlack(), osl::SimpleState::pieceOf(), and osl::Piece::square().

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

The documentation for this struct was generated from the following files:

- mobility.h
- mobility.cc